TYPO3.Neos - Bug # 29539

Status: Closed Priority: Must have

Author: Bastian Waidelich Category: Services

Created: 2011-09-07 Assigned To: Karsten Dambekalns
Updated: 2012-04-18 Due date:

Subiject: Importing a Site from XML does not work if DB is not empty

Description

When trying to import the TSCON11 Site via

flow3 typo3.typo3:site:import < Packages/Sites/TYPO3.T3con11Typo30rg/Resources/Private/Content/Sites.xml

| get following error:

Error: During import an exception occured. Notice: unserialize(): Error at offset 60 of 3284 bytes in
Packages/Framework/Doctrine/Classes/DBAL/Types/Array Type.php line 46

After reseting the database (delete, re-create) the command works once.

Interestingly the export command works

flow3 typo3.typo3:site:export > Export.xml

But re-importing that export results in another error:

Error: During import an exception occured. String could not be parsed as XML

Related issues:

related to TYPOS3.Neos - Feature # 8284: Import content from a file Resolved 2010-06-16
related to TYPOS3.Neos - Bug # 30267: site:import task broken Closed 2011-09-25
History

#1 - 2011-09-07 11:57 - Bastian Waidelich

- File Export.xml added

Attached the XML file that the export command creates from the most current T3CON11 site

#2 - 2011-09-07 12:00 - Bastian Waidelich

..As you can see the export is truncated thus creating invalid XML
#3 - 2011-09-07 12:04 - Karsten Dambekalns
- Category set to Services

- Status changed from New to Accepted

#4 - 2011-09-07 12:11 - Bastian Waidelich

- File 20110907120922fd1e50.txt added

In case of the export error an debug backtrace file is created (attached)

#5 - 2011-09-28 10:09 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

Is this still an issue? For me this worked fine throughout, and | assume this to be caused by some broken data in the DB (encoding, broken import, ...)

that now caused the reading of data for import to be corrupted.

#6 - 2011-09-28 19:00 - Bastian Waidelich
- Status changed from Needs Feedback to Closed

Karsten Dambekalns wrote:

Is this still an issue? For me this worked fine throughout |[...]

| had the issue again with latest version of the conference distribution. But after re-creating the database again | can't reproduce the problem anymore.

Closing the issue for now!

#7 - 2011-09-29 19:10 - Bastian Waidelich
- Status changed from Closed to Needs Feedback

..Unfortunately this is not resolved.

| just got the same error again with the latest conference distribution..

#8 - 2011-10-18 15:47 - Bastian Waidelich

Bastian Waidelich wrote:

..Unfortunately this is not resolved.

Note: This has to do with the structure/size of the XML file. With the Flow3Org Site it works, but the T3CON site still dies with error Notice:
unserialize(): Error at offset 60 of 3287 bytes in .../ArrayType.php

#9 - 2011-11-07 10:28 - Sebastian Kurfuerst
@Bastian: does this error still exist?

Greets, Sebastian

#10 - 2012-04-18 22:40 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed

Working fine for months now in the automated deployment

... No clue how to debug this further.

Files
Export.xml 52.6 kB 2011-09-07 Bastian Waidelich
20110907120922fd1e50.txt 10.6 kB 2011-09-07 Bastian Waidelich
